<template>
  <label><slot /></label>
  <input
    :type="inputType"
    :placeholder="inputPlaceholder"
    :disabled="disabled"
    :readonly="readonly"
    v-model="model"
  />
</template>
<script>
export default {
  name: "AppInput",
  props: {
    inputType: {
      type: String,
      default: "text",
    },
    inputPlaceholder: {
      type: String,
      default: "",
    },
    disabled: {
      type: Boolean,
      default: false,
    },
    readonly: {
      type: Boolean,
      default: false,
    },
    modelValue: {
      type: String,
      required: true,
    },
  },
  methods: {},
  computed: {
    model: {
      get() {
        return this.modelValue;
      },
      set(val) {
        this.$emit("update:modelValue", val);
      },
    },
  },
};
</script>

<style>
label {
  display: block;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  margin-bottom: 4px;
}

input[type="date"],
input[type="text"],
input[type="password"],
input[type="email"] {
  border: 1px solid #dfe3e7;
  padding: 13px 16px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  outline: none;
  background: none;
  border-radius: 4px;
  width: 100%;
  position: relative;
  max-height: 40px;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  cursor: pointer;
  background-image: url(@/assets/icons/calendar.svg);
  height: 24px;
  width: 24px;
  padding: 0;
  margin: 0;
  position: absolute;
  right: 8px;
  top: 8px;
}
</style>
